- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Friends

# QPlainTextDocumentLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 280 of file qplaintextedit.h.

`#include <qplaintextedit.h>`

Inheritance diagram for QPlainTextDocumentLayout:
[legend]

List of all members.

## Public Member Functions
| QPlainTextDocumentLayout (QTextDocument *document)
| ~QPlainTextDocumentLayout ()
void | draw (QPainter *, const PaintContext &)
int | hitTest (const QPointF &, Qt::HitTestAccuracy) const
int | pageCount () const
QSizeF | documentSize () const
QRectF | frameBoundingRect (QTextFrame *) const
QRectF | blockBoundingRect (const QTextBlock &block) const
void | ensureBlockLayout (const QTextBlock &block) const
void | setCursorWidth (int width)
int | cursorWidth () const
void | requestUpdate ()
## Protected Member Functions
void | documentChanged (int from, int, int charsAdded)
## Properties
int | cursorWidth
## Friends
class | QPlainTextEdit
class | QPlainTextEditPrivate

## Constructor & Destructor Documentation

QPlainTextDocumentLayout | ( | QTextDocument * | document | ) |

~QPlainTextDocumentLayout | ( |  | ) |

## Member Function Documentation

void draw | ( | QPainter * | ,
|  | const PaintContext & |
| ) |  | `[virtual]`

Search for all occurrences

Implements QAbstractTextDocumentLayout.

int hitTest | ( | const QPointF & | ,
|  | Qt::HitTestAccuracy |
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractTextDocumentLayout.

int pageCount | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractTextDocumentLayout.

QSizeF documentSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractTextDocumentLayout.

QRectF frameBoundingRect | ( | QTextFrame * |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractTextDocumentLayout.

QRectF blockBoundingRect | ( | const QTextBlock & | block | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractTextDocumentLayout.

void ensureBlockLayout | ( | const QTextBlock & | block | ) | const

Search for all occurrences

void setCursorWidth | ( | int | width | ) |

Search for all occurrences

int cursorWidth | ( |  | ) | const

Search for all occurrences

void requestUpdate | ( |  | ) |

Search for all occurrences

void documentChanged | ( | int | from,
|  | int | ,
|  | int | charsAdded
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QAbstractTextDocumentLayout.

## Friends And Related Function Documentation

friend class QPlainTextEdit `[friend]`

Search for all occurrences

Definition at line 318 of file qplaintextedit.h.

friend class QPlainTextEditPrivate `[friend]`

Search for all occurrences

Definition at line 319 of file qplaintextedit.h.

## Property Documentation

int cursorWidth `[read, write]`

Search for all occurrences

Definition at line 284 of file qplaintextedit.h.

The documentation for this class was generated from the following file:

- QtGui/qplaintextedit.h

QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout
QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout QPlainTextDocumentLayout